Package com.google.gwt.user.client.ui

## Class InlineHyperlink

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Hyperlink
      - - com.google.gwt.user.client.ui.InlineHyperlink

- All Implemented Interfaces:
    `HasClickHandlers`, `HasAttachHandlers`, `HasHandlers`, `HasDirectionEstimator`, `HasSafeHtml`, `EventListener`, `HasDirectionalSafeHtml`, `HasDirectionalText`, `HasHTML`, `HasText`, `HasVisibility`, `IsWidget`, `SourcesClickEvents`

      public class InlineHyperlink
      extends Hyperlink

  A widget that serves as an "internal" hyperlink. That is, it is a link to another state of the running application. It should behave exactly like `Hyperlink`, save that it lays out as an inline element, not block.

  ### Built-in Bidi Text Support

  This widget is capable of automatically adjusting its direction according to its content. This feature is controlled by `Hyperlink.setDirectionEstimator(boolean)` or passing a DirectionEstimator parameter to the constructor, and is off by default.

  ### CSS Style Rules

  - .gwt-InlineHyperlink { }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.Hyperlink

      `DEFAULT_DIRECTION_ESTIMATOR, directionalTextHelper`

    - ### Fields inherited from class com.google.gwt.user.client.ui.Widget

      `eventsToSink`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InlineHyperlink()` | Creates an empty hyperlink.
    `InlineHyperlink​(SafeHtml html, HasDirection.Direction dir, java.lang.String targetHistoryToken)` | Creates a hyperlink with its html and target history token specified.
    `InlineHyperlink​(SafeHtml html, DirectionEstimator directionEstimator, java.lang.String targetHistoryToken)` | Creates a hyperlink with its html and target history token specified.
    `InlineHyperlink​(SafeHtml html, java.lang.String targetHistoryToken)` | Creates a hyperlink with its html and target history token specified.
    `InlineHyperlink​(java.lang.String text, boolean asHTML, java.lang.String targetHistoryToken)` | Creates a hyperlink with its text and target history token specified.
    `InlineHyperlink​(java.lang.String text, HasDirection.Direction dir, java.lang.String targetHistoryToken)` | Creates a hyperlink with its text and target history token specified.
    `InlineHyperlink​(java.lang.String text, DirectionEstimator directionEstimator, java.lang.String targetHistoryToken)` | Creates a hyperlink with its text and target history token specified.
    `InlineHyperlink​(java.lang.String text, java.lang.String targetHistoryToken)` | Creates a hyperlink with its text and target history token specified.

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.user.client.ui.Hyperlink

      `addClickHandler, addClickListener, getDirectionEstimator, getHTML, getTargetHistoryToken, getText, getTextDirection, onBrowserEvent, onEnsureDebugId, removeClickListener, setDirectionEstimator, setDirectionEstimator, setHTML, setHTML, setHTML, setTargetHistoryToken, setText, setText`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### InlineHyperlink

          public InlineHyperlink()

      Creates an empty hyperlink.

    - #### InlineHyperlink

          public InlineHyperlink​(SafeHtml html,
                                 java.lang.String targetHistoryToken)

      Creates a hyperlink with its html and target history token specified.
      Parameters:
        `html` - the hyperlink's html
        `targetHistoryToken` - the history token to which it will link
      See Also:
        `Hyperlink.setTargetHistoryToken(java.lang.String)`

    - #### InlineHyperlink

          public InlineHyperlink​(SafeHtml html,
                                 HasDirection.Direction dir,
                                 java.lang.String targetHistoryToken)

      Creates a hyperlink with its html and target history token specified.
      Parameters:
        `html` - the hyperlink's html
        `dir` - the html's direction
        `targetHistoryToken` - the history token to which it will link
      See Also:
        `Hyperlink.setTargetHistoryToken(java.lang.String)`

    - #### InlineHyperlink

          public InlineHyperlink​(SafeHtml html,
                                 DirectionEstimator directionEstimator,
                                 java.lang.String targetHistoryToken)

      Creates a hyperlink with its html and target history token specified.
      Parameters:
        `html` - the hyperlink's html
        `directionEstimator` - A DirectionEstimator object used for automatic direction adjustment. For convenience, `Hyperlink.DEFAULT_DIRECTION_ESTIMATOR` can be used.
        `targetHistoryToken` - the history token to which it will link
      See Also:
        `Hyperlink.setTargetHistoryToken(java.lang.String)`

    - #### InlineHyperlink

          public InlineHyperlink​(java.lang.String text,
                                 java.lang.String targetHistoryToken)

      Creates a hyperlink with its text and target history token specified.
      Parameters:
        `text` - the hyperlink's text
        `targetHistoryToken` - the history token to which it will link

    - #### InlineHyperlink

          public InlineHyperlink​(java.lang.String text,
                                 HasDirection.Direction dir,
                                 java.lang.String targetHistoryToken)

      Creates a hyperlink with its text and target history token specified.
      Parameters:
        `text` - the hyperlink's text
        `dir` - the text's direction
        `targetHistoryToken` - the history token to which it will link

    - #### InlineHyperlink

          public InlineHyperlink​(java.lang.String text,
                                 DirectionEstimator directionEstimator,
                                 java.lang.String targetHistoryToken)

      Creates a hyperlink with its text and target history token specified.
      Parameters:
        `text` - the hyperlink's text
        `directionEstimator` - A DirectionEstimator object used for automatic direction adjustment. For convenience, `Hyperlink.DEFAULT_DIRECTION_ESTIMATOR` can be used.
        `targetHistoryToken` - the history token to which it will link

    - #### InlineHyperlink

          public InlineHyperlink​(java.lang.String text,
                                 boolean asHTML,
                                 java.lang.String targetHistoryToken)

      Creates a hyperlink with its text and target history token specified.
      Parameters:
        `text` - the hyperlink's text
        `asHTML` - `true` to treat the specified text as html
        `targetHistoryToken` - the history token to which it will link
      See Also:
        `Hyperlink.setTargetHistoryToken(java.lang.String)`